Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class FilterIterator

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.NodeIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.FilterIterator

public final class FilterIterator
extends NodeIteratorBase

Similar to a CurrentNodeListIterator except that the filter has a simpler interface (only needs the node, no position, last, etc.) It takes a source iterator and a Filter object and returns nodes from the source after filtering them by calling filter.test(node).

Constructor Summary
`FilterIterator(NodeIterator source, Filter filter)`

Method Summary
`NodeIterator` | `cloneIterator()`
`void` | `gotoMark()`
`boolean` | `isReverse()`
`int` | `next()`
`NodeIterator` | `reset()`
`void` | `setMark()`
`void` | `setRestartable(boolean isRestartable)`
`NodeIterator` | `setStartNode(int node)`

Methods inherited from class org.apache.xalan.xsltc.dom.NodeIteratorBase
`getLast, getPosition, includeSelf`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterIterator

    public FilterIterator(NodeIterator source,
                          Filter filter)

Method Detail

### isReverse

    public boolean isReverse()

  Overrides:
    isReverse in class NodeIteratorBase

### setRestartable

    public void setRestartable(boolean isRestartable)

  Overrides:
    setRestartable in class NodeIteratorBase

### cloneIterator

    public NodeIterator cloneIterator()

  Overrides:
    cloneIterator in class NodeIteratorBase

### reset

    public NodeIterator reset()

  Overrides:
    reset in class NodeIteratorBase

### next

    public int next()

### setStartNode

    public NodeIterator setStartNode(int node)

  Overrides:
    setStartNode in class NodeIteratorBase

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.